<?xml version="1.0" encoding="utf-8" standalone="yes"?><rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>License Service on ApiDQ docs</title><link>https://docs.apidq.io/en/docs/standalone/license-service/</link><description>Recent content in License Service on ApiDQ docs</description><generator>Hugo</generator><language>en</language><atom:link href="https://docs.apidq.io/en/docs/standalone/license-service/index.xml" rel="self" type="application/rss+xml"/><item><title>ApiDQ license get service</title><link>https://docs.apidq.io/en/docs/standalone/license-service/license/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.apidq.io/en/docs/standalone/license-service/license/</guid><description> ApiDQ license get service # The service allows you to get information about the current ApiDQ license: status, expiration date, and validity flag.
Method address # GET /license
Query parameters # This method takes no parameters.
Request data example # curl &amp;#34;https://api.apidq.io/v1/license&amp;#34; \ -H &amp;#39;Content-Type: application/json&amp;#39; \ -H &amp;#39;Accept: application/json&amp;#39; Response options # Parameter Description isValid Whether the license is valid status License status code message Human-readable description of the status expiresAt License expiration date (ISO 8601 format) Possible status values # Value message isValid LICENSE_STATUS_OK License is active true LICENSE_STATUS_EXPIRING License is expiring soon true LICENSE_STATUS_EXPIRED License has expired false LICENSE_STATUS_INVALID License is invalid false LICENSE_STATUS_NOT_FOUND License not found false Response data example # { &amp;#34;isValid&amp;#34;: true, &amp;#34;status&amp;#34;: &amp;#34;LICENSE_STATUS_OK&amp;#34;, &amp;#34;message&amp;#34;: &amp;#34;License is active&amp;#34;, &amp;#34;expiresAt&amp;#34;: &amp;#34;2026-07-01T00:00:00Z&amp;#34; }</description></item><item><title>ApiDQ license renew service</title><link>https://docs.apidq.io/en/docs/standalone/license-service/renew/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.apidq.io/en/docs/standalone/license-service/renew/</guid><description> ApiDQ license renew service # The service allows you to renew the current ApiDQ license. When the method is called, the license validity period is extended by 1 month from the date of the request.
Method address # POST /license/renew
Query parameters # This method takes no parameters.
Request data example # curl -X POST &amp;#34;https://api.apidq.io/v1/license/renew&amp;#34; \ -H &amp;#39;Content-Type: application/json&amp;#39; \ -H &amp;#39;Accept: application/json&amp;#39; Response options # Parameter Description success Whether the license was successfully renewed message Human-readable description of the operation result expiresAt New license expiration date (ISO 8601 format) renewedAt Date and time of the renewal (ISO 8601 format) Response data example # { &amp;#34;success&amp;#34;: true, &amp;#34;message&amp;#34;: &amp;#34;License successfully renewed&amp;#34;, &amp;#34;expiresAt&amp;#34;: &amp;#34;2026-07-15T08:52:39Z&amp;#34;, &amp;#34;renewedAt&amp;#34;: &amp;#34;2026-06-15T08:52:41Z&amp;#34; }</description></item></channel></rss>